<?php
	include('clases/clase.conexion.php');
	include('funciones/variables.php');
	include('funciones/funciones.php');
	$var = VarServer("MYSQLI");
	$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
	
	function spLista_Vendedor($varTyp = "C", $varTexto = "", $varField = 1, $varOrden = "ASC", $varInici = 0, $varTaman = 25,
							  $varEmp, $varVen, $varCli, $varRut, $varIni, $varFin, $varEst) {
		$varCadEmp=(isset($varEmp) && $varEmp<>"")?" and C.id_empresa = ".$varEmp:"";
		$varCadVen=(isset($varVen) && $varVen<>"")?" and C.id_trabajador = ".$varVen:"";
		$varCadCli=(isset($varCli) && $varCli<>"")?" and C.id_cliente = ".$varCli:"";
		$varCadRut=(isset($varRut) && $varRut<>"")?" and C.id_ruta = '".$varRut."'":"";
		$varCadIni=(isset($varIni) && $varIni<>"")?" and C.fecha_pedido >= '".$varIni."'":"";
		$varCadFin=(isset($varFin) && $varFin<>"")?" and C.fecha_pedido <= '".$varFin."'":"";
		$varCadEst=(isset($varEst) && $varEst<>"")?" and C.estado = '".$varEst."'":"";
		
		$varRetu = "select ";
		if($varTyp=="C"){
			$varRetu.= "SQL_CALC_FOUND_ROWS
						C.id_pedido as IDE, date_format(C.fecha_pedido,'%d/%m/%Y') AS FECHA,
						C.id_tipo_doc as CTIP, T.nombre as TIPODOC,
						C.id_condicion as CCON, TC.nombre as CONDICION,
						C.ESTADO,            
						LPAD(C.id_cliente,6,'0') as CCLI, P.nombre as CLIENTE,
						LPAD(C.id_trabajador,8,'0') as CVEN, CONCAT(V.apellido_paterno, ' ', V.apellido_materno, ' ', V.nombre) as VENDEDOR,
						P.id_ruta as CRUT, R.nombre as RUTA,
						C.id_lista as CLIS, L.nombre as LISTA,
						C.nro_pedido as PEDIDO,
						C.TOTAL,
						date_format(C._date_create,'%d/%m/%Y %h:%i:%s %p') AS FECHA_CREADO,
						date_format(C._date_update,'%d/%m/%Y %h:%i:%s %p') AS FECHA_MODIFI,
						UPPER(UN.usuario) as USER_CREADO,
						UPPER(UU.usuario) as USER_MODIFI ";
			}
		else {
			$varRetu.= "count(C.id_pedido) as CANT ";
			}
		$varRetu.= "from _sv_pedido C
					inner join _sv_cliente P         ON C.id_Cliente = P.id_Cliente
					inner join _sv_ruta R            ON P.id_ruta = R.id_ruta
					inner join _sv_lista L           ON C.id_empresa = L.id_empresa and C.id_lista = L.id_lista
					inner join _sv_tipo_doc_venta T  ON C.id_tipo_doc = T.id_tipo_doc
					inner join _sv_tipo_condicion TC ON C.id_condicion = TC.id_condicion
					inner join _sv_trabajador V      ON C.id_trabajador = V.id_trabajador
					inner join _sys_usuario UN       ON C._user_create = UN.id_usuario
					inner join _sys_usuario UU       ON C._user_update = UU.id_usuario
					where C._estado='A'
					and C.id_tipo_doc in (1,2,3)
					$varCadEmp $varCadVen $varCadCli $varCadRut $varCadIni $varCadFin $varCadEst";           
		if($varTyp=="C"){
			$varRetu.= "and (T.nombre 		like '%".str_replace(" ","%",$varTexto)."%'
						 OR TC.nombre 	like '%".str_replace(" ","%",$varTexto)."%'
						 OR P.nombre 	like '%".str_replace(" ","%",$varTexto)."%'
					   	 OR CONCAT(V.apellido_paterno, ' ', V.apellido_materno, ' ', V.nombre) like '%".str_replace(" ","%",$varTexto)."%'
					   	 OR R.nombre like '%".str_replace(" ","%",$varTexto)."%'
						 OR L.nombre like '%".str_replace(" ","%",$varTexto)."%'
						 )
				  	order by ".$varField." ".$varOrden." 
					limit ".$varInici.", ".$varTaman;
			}
		$varRetu.= ";";
		return $varRetu;
		}

	$varQry = (isset($_GET['sSearch']))?$_GET['sSearch']:"";
	$varFie = (isset($_GET['iSortCol_0']) && $_GET['iSortCol_0']<>"")?$_GET['iSortCol_0']:"1";
	$varOrd = (isset($_GET['sSortDir_0']))?$_GET['sSortDir_0']:"asc";
	$varLim = (isset($_GET['iDisplayStart']) && $_GET['iDisplayStart']<>"")?$_GET['iDisplayStart']:"0";
	$varTam = (isset($_GET['iDisplayLength']))?$_GET['iDisplayLength']:"25";
	$varQry = (isset($_GET['sSearch']))?$_GET['sSearch']:"";
	$varEmp = (isset($_GET["emp"]) && $_GET["emp"]<>'')? $_GET["emp"]:"";
	$varVen = (isset($_GET["ven"]) && $_GET["ven"]<>'')? $_GET["ven"]:"";
	$varCli = (isset($_GET["cli"]) && $_GET["cli"]<>'')? $_GET["cli"]:"";
	$varRut = (isset($_GET["rut"]) && $_GET["rut"]<>'')? $_GET["rut"]:"";
	$varIni = (isset($_GET["ini"]) && $_GET["ini"]<>'')? FechaMySql($_GET["ini"]):"";
	$varFin = (isset($_GET["fin"]) && $_GET["fin"]<>'')? FechaMySql($_GET["fin"]):"";
	$varEst = (isset($_GET["est"]) && $_GET["est"]<>'')? $_GET["est"]:"";
	$sqlfil = spLista_Vendedor("C",$varQry, $varFie, $varOrd, $varLim, $varTam, $varEmp, $varVen, $varCli, $varRut, $varIni, $varFin, $varEst);
	$sqltot = spLista_Vendedor("T",$varQry, $varFie, $varOrd, $varLim, $varTam, $varEmp, $varVen, $varCli, $varRut, $varIni, $varFin, $varEst);
	$obj->AbrirConexion();
	$rsdat = $obj->Query($sqlfil);
	$rsbus = $obj->Query("SELECT FOUND_ROWS();");
	$obj->CerrarConexion();
	$rowbus = $obj->FetchArray($rsbus);
	$iFilteredTotal = $rowbus[0];
	
	$obj->AbrirConexion();
	$rstot = $obj->Query($sqltot);
	$obj->CerrarConexion();
	$rowtot = $obj->FetchArray($rstot);
	$iTotal = $rowtot[0];
	
	
	/*
	 * Output
	 */
	$output = array(
		"sEcho" => intval($_GET['sEcho']),
		"iTotalRecords" => $iTotal,
		"iTotalDisplayRecords" => $iFilteredTotal,
		"aaData" => array()
		);
	$aColumns = array('IDE','FECHA','CTIP','TIPODOC','CCON','CONDICION','ESTADO','CCLI','CLIENTE','CVEN','VENDEDOR','CRUT','RUTA',
					  'CLIS','LISTA','PEDIDO','TOTAL','FECHA_CREADO','FECHA_MODIFI','USER_CREADO','USER_MODIFI');
	//while ( $aRow = mysql_fetch_array( $rResult ) )
	$obj->AbrirConexion();
	$rsdat = $obj->Query($sqlfil);
	$obj->CerrarConexion();
	while($aRow = $obj->FetchArray($rsdat)) {
		$row = array();
		$row[] = "<img style=\"cursor:pointer\" onmouseout=\"UnTip()\"  
				  onmouseover=\"MensajeTip('HAGA CLICK PARA <b>SELECCIONAR</b> EL REGISTRO<br><b>".$aRow[0]." - ".utf8_encode($aRow[1])."</b>',
				  '".$_GET["cod"]."','".$_GET["nom"]."')\" 
				  onclick=\"javascript:fn_seleccionar_registro('".$aRow[0]."','".utf8_encode($aRow[1])."','".$_GET["cod"]."','".$_GET["nom"]."')\"
				  src=\"../images/16x16/add.png\">"	;
		for ($i=0 ; $i<count($aColumns) ; $i++ ) {
				if($i==16) {
				$row[] = number_format($aRow[$aColumns[$i]],2,".",",");
				}
				$row[] = utf8_encode($aRow[ $aColumns[$i] ]);
			}
//		$row = json_encode(array_map(utf8_decode,$row));
		$output['aaData'][] = $row;
	}
	
	echo json_encode( $output );
	
?>